Gecode::ViewTraceRecorder< View >::Slack Class Reference

Collection of slack values. More...

`#include <recorder.hpp>`

## Public Member Functions

SlackValue | initial (void) const
| Return initial slack value.
SlackValue | previous (void) const
| Return previous slack value.
SlackValue | current (void) const
| Return current slack value.

## Protected Attributes

SlackValue | i
| The initial slack value.
SlackValue | p
| Slack value at previous event (fixpoint or init).
SlackValue | c
| Current slack value.

## Detailed Description

template<class View>
class Gecode::ViewTraceRecorder< View >::Slack

Collection of slack values.

Definition at line 69 of file recorder.hpp.

## Member Function Documentation

## initial()

template<class View>

ViewTraceRecorder< View >::SlackValue Gecode::ViewTraceRecorder< View >::Slack::initial | ( | void |  | ) | const

inline

Return initial slack value.

Definition at line 219 of file recorder.hpp.

## previous()

template<class View>

ViewTraceRecorder< View >::SlackValue Gecode::ViewTraceRecorder< View >::Slack::previous | ( | void |  | ) | const

inline

Return previous slack value.

Definition at line 224 of file recorder.hpp.

## current()

template<class View>

ViewTraceRecorder< View >::SlackValue Gecode::ViewTraceRecorder< View >::Slack::current | ( | void |  | ) | const

inline

Return current slack value.

Definition at line 229 of file recorder.hpp.

## Member Data Documentation

## i

template<class View>

SlackValue Gecode::ViewTraceRecorder< View >::Slack::i

protected

The initial slack value.

Definition at line 73 of file recorder.hpp.

## p

template<class View>

SlackValue Gecode::ViewTraceRecorder< View >::Slack::p

protected

Slack value at previous event (fixpoint or init).

Definition at line 75 of file recorder.hpp.

## c

template<class View>

SlackValue Gecode::ViewTraceRecorder< View >::Slack::c

protected

Current slack value.

Definition at line 77 of file recorder.hpp.

The documentation for this class was generated from the following file:

- gecode/kernel/trace/recorder.hpp